Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Interface JUDefaultControlInterface

All Known Implementing Classes:
  JUArrayComboBox, JUImageControl

public interface JUDefaultControlInterface

Implemented by "custom" Controls like JUImageControl that bind to BC4J attributes using JUDefaultControlBinding and have no default Swing model to work with. The controls are themselves responsible for updating the binding with their edited/updated data, so that the binding can update the associated Attribute in a BC4J Row.

See Also:
  `JUDefaultControlBinding`, `JUImageControl`

Method Summary
`void` | `addFocusListener(java.awt.event.FocusAdapter e)` This method is invoked by the binding to add a focus listener to the control such that JClient Panelbinding can update its status based on control's focus.
`void` | `dataChanged(java.lang.Object dataItem)` This method is invoked by the binding to notify the control to update the display with the new data.

Method Detail

### dataChanged

    public void dataChanged(java.lang.Object dataItem)

  This method is invoked by the binding to notify the control to update the display with the new data.
  Parameters:
    `dataItem` - Use this data to update the control's display

### addFocusListener

    public void addFocusListener(java.awt.event.FocusAdapter e)

  This method is invoked by the binding to add a focus listener to the control such that JClient Panelbinding can update its status based on control's focus.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.